Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class SecurityScenarioConfigAdmin

    java.lang.Object
      org.wso2.wsas.admin.service.AbstractAdmin
          org.wso2.wsas.admin.service.SecurityScenarioConfigAdmin

public class SecurityScenarioConfigAdmin
extends AbstractAdmin

Admin service for configuring Security scenarios

Field Summary
`static int` | `DEFAULT_TS_MAX_SKEW`
`static int` | `DEFAULT_TS_TTL`
`static java.lang.String` | `ENCRYPTION_USER`
`static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `USER`

Fields inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`axisConfig, configCtx`

Constructor Summary
`SecurityScenarioConfigAdmin()`

Method Summary
`void` | `assignKeyStores(java.lang.String serviceName, java.lang.String scenarioId, java.lang.String[] trustedCertStores, java.lang.String privateKeyStore)`
`void` | `assignUsersAndRoles(java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String scenarioId, java.lang.String[] users, java.lang.String[] roles)`
`void` | `assignUsersAndRolesAndKeyStores(java.lang.String serviceName, java.lang.String serviceVersion, java.lang.String scenarioId, java.lang.String[] trustedCertStores, java.lang.String privateKeyStore, java.lang.String[] users, java.lang.String[] roles)` Assing UT related users and roles as well as keystore related trusted cert stores and private key sote
`void` | `disableSecurity(java.lang.String serviceName)`
`SecurityScenarioDO[]` | `getScenarios(java.lang.String serviceName)`
`SecurityAssignment` | `getSecurityAssignment(java.lang.String serviceId, java.lang.String serviceVersion)`
`UtKeystoreSecurityAssignment` | `getUtKeystoreSecurityAssignment(java.lang.String serviceName)` Infomation related to keystore assignment.

Methods inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`getAxisConfig, getConfigContext, init, setAxisConfig, setConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER

    public static final java.lang.String USER

See Also:
  Constant Field Values

### ENCRYPTION_USER

    public static final java.lang.String ENCRYPTION_USER

See Also:
  Constant Field Values

### log

    public static final org.apache.commons.logging.Log log

### DEFAULT_TS_TTL

    public static final int DEFAULT_TS_TTL

See Also:
  Constant Field Values

### DEFAULT_TS_MAX_SKEW

    public static final int DEFAULT_TS_MAX_SKEW

See Also:
  Constant Field Values

Constructor Detail

### SecurityScenarioConfigAdmin

    public SecurityScenarioConfigAdmin()

Method Detail

### getScenarios

    public SecurityScenarioDO[] getScenarios(java.lang.String serviceName)

### disableSecurity

    public void disableSecurity(java.lang.String serviceName)
                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### assignUsersAndRolesAndKeyStores

    public void assignUsersAndRolesAndKeyStores(java.lang.String serviceName,
                                                java.lang.String serviceVersion,
                                                java.lang.String scenarioId,
                                                java.lang.String[] trustedCertStores,
                                                java.lang.String privateKeyStore,
                                                java.lang.String[] users,
                                                java.lang.String[] roles)
                                         throws org.apache.axis2.AxisFault

  Assing UT related users and roles as well as keystore related trusted cert stores and private key sote

  Parameters:
    `serviceName` -
    `serviceVersion` -
    `scenarioId` -
    `trustedCertStores` -
    `privateKeyStore` -
    `users` -
    `roles` -
  Throws:
    `org.apache.axis2.AxisFault` - TODO fix this for

### assignKeyStores

    public void assignKeyStores(java.lang.String serviceName,
                                java.lang.String scenarioId,
                                java.lang.String[] trustedCertStores,
                                java.lang.String privateKeyStore)
                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### assignUsersAndRoles

    public void assignUsersAndRoles(java.lang.String serviceId,
                                    java.lang.String serviceVersion,
                                    java.lang.String scenarioId,
                                    java.lang.String[] users,
                                    java.lang.String[] roles)
                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getSecurityAssignment

    public SecurityAssignment getSecurityAssignment(java.lang.String serviceId,
                                                    java.lang.String serviceVersion)
                                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getUtKeystoreSecurityAssignment

    public UtKeystoreSecurityAssignment getUtKeystoreSecurityAssignment(java.lang.String serviceName)
                                                                 throws org.apache.axis2.AxisFault

  Infomation related to keystore assignment.

  Parameters:
    `serviceName` -
  Returns:
    UtKeystoreSecurityAssignment
  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD